Package com.norconex.commons.lang.convert

# Class GenericJsonSerializer<T>

java.lang.Object
com.fasterxml.jackson.databind.JsonSerializer<T>
com.norconex.commons.lang.convert.GenericJsonSerializer<T>

All Implemented Interfaces:
  `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable`

Direct Known Subclasses:
  `CharsetConverter.JsonSerializer`, `ContentTypeConverter.JsonSerializer`, `DimensionConverter.JsonSerializer`, `DurationConverter.JsonSerializer`, `FileConverter.JsonSerializer`, `InstantConverter.JsonSerializer`, `LocalDateTimeConverter.JsonSerializer`, `LocaleConverter.JsonSerializer`, `PathConverter.JsonSerializer`, `PatternConverter.JsonSerializer`, `ZonedDateTimeConverter.JsonSerializer`, `ZoneIdConverter.JsonSerializer`

public class GenericJsonSerializer<T> extends com.fasterxml.jackson.databind.JsonSerializer<T>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

  `com.fasterxml.jackson.databind.JsonSerializer.None`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenericJsonSerializer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `serialize(T value, com.fasterxml.jackson.core.JsonGenerator gen, com.fasterxml.jackson.databind.SerializerProvider sp)`

  ### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

  `acceptJsonFormatVisitor, getDelegatee, handledType, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, serializeWithType, unwrappingSerializer, usesObjectId, withFilterId, withIgnoredProperties`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GenericJsonSerializer

    public GenericJsonSerializer()

- ## Method Details

  - ### serialize

    public void serialize(T value, com.fasterxml.jackson.core.JsonGenerator gen, com.fasterxml.jackson.databind.SerializerProvider sp) throws IOException
    Specified by:
      `serialize` in class `com.fasterxml.jackson.databind.JsonSerializer<T>`
    Throws:
      `IOException`